{% if player.video is defined and not player.video %}
# Audio player specific settings
video={{ player.config.video | default('no') }}
ontop={{ player.config.ontop | default('yes') }}
force-window={{ player.config.force_window | default('yes') }}
{% else %}
# Video player specific settings
profile={{ player.config.profile | default('gpu-hq') }}
video={{ player.config.video | default('auto') }}
vo={{ player.config.vo | default('gpu') }}
hwdec={{ player.config.hwdec | default('vaapi') }}
gpu-dumb-mode={{ player.config.gpu_dumb_mode | default('no') }}
fullscreen={{ player.config.fullscreen | default('yes') }}
ontop={{ player.config.ontop | default('yes') }}
force-window={{ player.config.force_window | default('yes') }}
image-display-duration={{ player.config.image_display_duration | default('inf') }}
osc={{ player.config.osc | default('no') }}
osd-status-msg=${playback-time/full} / ${duration} (${percent-pos}%)\nframe: ${estimated-frame-number} / ${estimated-frame-count}
{% endif %}

# General playback and control
pause={{ player.config.pause | default('yes') }}
start={{ player.config.start | default(mpv_start) }}
loop-file={{ player.config.loop_file | default('inf') }}
loop-playlist={{ player.config.loop_playlist | default('yes') }}
idle={{ player.config.idle | default('yes') }}
volume={{ player.config.volume | default('100') }}
msg-level=all={{ player.config.msg_level | default('debug') }}
quiet=yes
input-ipc-server={{ player_dir }}/mpv.socket
use-filedir-conf={{ player.config.use_filedir_conf | default('yes') }}
audio-device={{ player.config.audio_device | default(mpv_audio_device) }}
{% if mpv_audio_channels is defined or player.config.audio_channels is defined %}
audio-channels={{ player.config.audio_channels | default(mpv_audio_channels) }}
{% endif %}
{% if player.script is defined %}
scripts={{ player_dir }}/script.js
{% endif %}
{% if player.input is defined %}
input-conf={{ player_dir }}/input.conf
{% endif %}
